Skip to main content
POST
/
posts
Create post
curl --request POST \
  --url https://api.woopsocial.com/v1/posts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": [
    {
      "text": "<string>",
      "media": [
        {
          "type": "MEDIA_LIBRARY",
          "mediaId": "<string>"
        }
      ]
    }
  ],
  "schedule": {
    "type": "DRAFT"
  },
  "socialAccounts": [
    {
      "platform": "FACEBOOK",
      "socialAccountId": "<string>",
      "postType": "TEXT_ONLY",
      "contentOverride": [
        {
          "text": "<string>",
          "media": [
            {
              "type": "MEDIA_LIBRARY",
              "mediaId": "<string>"
            }
          ]
        }
      ],
      "link": "<string>"
    }
  ],
  "autoDeleteMediaAfterPublish": false
}
'
{
  "id": "<string>",
  "projectId": "<string>",
  "content": [
    {
      "text": "<string>",
      "media": [
        {
          "type": "MEDIA_LIBRARY",
          "mediaId": "<string>",
          "mediaType": "IMAGE",
          "url": "<string>",
          "thumbnailUrl": "<string>"
        }
      ]
    }
  ],
  "schedule": {
    "type": "DRAFT"
  },
  "autoDeleteMediaAfterPublish": true,
  "socialAccountPosts": [
    {
      "platform": "PINTEREST",
      "socialAccountPostId": "<string>",
      "postId": "<string>",
      "projectId": "<string>",
      "socialAccountId": "<string>",
      "deliveryStatus": "NOT_STARTED",
      "content": [
        {
          "text": "<string>",
          "media": [
            {
              "type": "MEDIA_LIBRARY",
              "mediaId": "<string>",
              "mediaType": "IMAGE",
              "url": "<string>",
              "thumbnailUrl": "<string>"
            }
          ]
        }
      ],
      "schedule": {
        "type": "DRAFT"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "pinterestBoardId": "<string>",
      "deliveryCompletedAt": "2023-11-07T05:31:56Z",
      "externalPostId": "<string>",
      "externalPostUrl": "<string>",
      "errorMessage": "<string>",
      "title": "<string>",
      "link": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.woopsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
content
object[]
required

Post content expressed as thread items.

The array exists for future thread support. Currently exactly one item is supported.

Required array length: 1 element
schedule
Draft · object
required

When the post should be published.

socialAccounts
(Facebook · object | Instagram · object | LinkedIn · object | LinkedIn Pages · object | Pinterest · object | TikTok · object | WoopTest · object | X · object | YouTube · object)[]
required

Social account targets for this post.

All referenced social accounts must belong to the same project. Duplicate socialAccountId values are invalid.

Minimum array length: 1
autoDeleteMediaAfterPublish
boolean
default:false

When true, all media referenced by this post is automatically deleted from the media library after all social account deliveries for the post have published successfully.

Response

Post created.

id
string
required

Post identifier.

projectId
string
required

Project identifier that the selected social accounts belong to.

content
object[]
required

Post content expressed as thread items.

The array exists for future thread support. Currently exactly one item is returned.

Required array length: 1 element
schedule
Draft · object
required

When the post should be published.

autoDeleteMediaAfterPublish
boolean
required

Whether media auto-delete-after-publish is enabled for this post.

socialAccountPosts
(Pinterest · object | Instagram · object | Facebook · object | TikTok · object | YouTube · object | X · object | LinkedIn · object | LinkedIn Pages · object | WoopTest · object)[]
required

Platform-specific post instances.

Minimum array length: 1
createdAt
string<date-time>
required

UTC time when the post was created.

updatedAt
string<date-time>
required

UTC time when the post was last updated.